// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class Test extends cc.Component {

    @property(cc.Node)
    zimo: cc.Node = null;

    onClickDBPaly() {
        let armatureDisplay = this.zimo.getComponent(dragonBones.ArmatureDisplay);
        var ske = 'test/zimo_ske';
        var atlas = 'test/zimo_tex';

        var self = this;


        self.zimo.active = true;
        // armatureDisplay.playAnimation("zimo", 1);
        // return;

        cc.resources.load(atlas, dragonBones.DragonBonesAtlasAsset, function (err, atlasasset: dragonBones.DragonBonesAtlasAsset) {
            armatureDisplay.dragonAtlasAsset = atlasasset;
            cc.resources.load(ske, dragonBones.DragonBonesAsset, function (err, asset: dragonBones.DragonBonesAsset) {
                armatureDisplay.dragonAsset = asset;
                armatureDisplay.on(dragonBones.EventObject.COMPLETE, function () {
                    self.zimo.active = false;
                }, self);

                armatureDisplay.armatureName = 'Armature';
                armatureDisplay.playAnimation("zimo", 1);
            });
        });
    }
}
